> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find all message templates.

> Find all message templates of a project.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /message-templates
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /message-templates:
    get:
      tags:
        - Message templates
      summary: Find all message templates.
      description: Find all message templates of a project.
      operationId: FindMessageTemplates
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
        - in: query
          name: limit
          required: false
          schema:
            type: number
            format: double
        - in: query
          name: skip
          required: false
          schema:
            type: number
            format: double
        - in: query
          name: searchTerm
          required: false
          schema:
            type: string
        - in: query
          name: visibility
          required: false
          schema:
            type: string
        - in: query
          name: withCount
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                anyOf:
                  - items:
                      $ref: '#/components/schemas/MessageTemplateDocument'
                    type: array
                  - properties:
                      totalCount:
                        type: number
                        format: double
                      data:
                        items:
                          $ref: '#/components/schemas/MessageTemplateDocument'
                        type: array
                    required:
                      - totalCount
                      - data
                    type: object
      security:
        - jwt: []
components:
  schemas:
    MessageTemplateDocument:
      allOf:
        - $ref: '#/components/schemas/MessageTemplate'
        - $ref: '#/components/schemas/Document'
    MessageTemplate:
      $ref: '#/components/schemas/InferSchemaType_typeofmessageTemplateSchema_'
    Document:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    InferSchemaType_typeofmessageTemplateSchema_:
      $ref: >-
        #/components/schemas/IfAny_typeofmessageTemplateSchema.any.ObtainSchemaGeneric_typeofmessageTemplateSchema.DocType__
    FlattenMaps_T_:
      properties: {}
      type: object
    IfAny_typeofmessageTemplateSchema.any.ObtainSchemaGeneric_typeofmessageTemplateSchema.DocType__:
      allOf:
        - properties:
            updatedAt:
              $ref: '#/components/schemas/NativeDate'
            createdAt:
              $ref: '#/components/schemas/NativeDate'
          required:
            - updatedAt
            - createdAt
          type: object
        - properties:
            lexorank:
              type: string
            project:
              properties:
                isValid:
                  properties: {}
                  type: object
                createFromHexString:
                  properties: {}
                  type: object
                createFromTime:
                  properties: {}
                  type: object
                generate:
                  properties: {}
                  type: object
                cacheHexString: {}
              type: object
            content: {}
            title:
              type: string
            actions:
              items: {}
              type: array
            attachments:
              items: {}
              type: array
            isPublic:
              type: boolean
            users:
              items:
                $ref: '#/components/schemas/ObjectId'
              type: array
          required:
            - actions
            - attachments
            - isPublic
            - users
          type: object
    NativeDate:
      type: string
    ObjectId:
      type: string
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````